beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davor Bonaci (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (BEAM-149) IntelliJ: Java 8 tests configuration
Date Fri, 25 Mar 2016 16:52:25 GMT

     [ https://issues.apache.org/jira/browse/BEAM-149?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Davor Bonaci closed BEAM-149.
-----------------------------
    Resolution: Fixed

> IntelliJ: Java 8 tests configuration
> ------------------------------------
>
>                 Key: BEAM-149
>                 URL: https://issues.apache.org/jira/browse/BEAM-149
>             Project: Beam
>          Issue Type: Bug
>          Components: build-system
>            Reporter: Maximilian Michels
>            Priority: Minor
>
> Is it only me or does IntelliJ not correctly handle the Java 8 tests module? It always
complains about the language level. When I set the language level to Java 8 for this module,
it states: "Error:java: javacTask: source release 1.8 requires target release 1.8".
> My solution for now is to unmark the sources directory for the test. However, I'd like
to run the Java 8 tests from IntelliJ :) Anybody an idea how to fix this?



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message